# Authority: vip-ire
# Name: Daniel Berteaud

%define name smeserver-jappix
%define version 0.2.2
%define release 1
Summary: sme server integration of jappix
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL
URL: http://www.firewall-services.com
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz

BuildArchitectures: noarch
BuildRequires: e-smith-devtools
BuildRoot: /var/tmp/%{name}-%{version}
Requires: e-smith-base
Requires: jappix >= 1.0.1
Requires: smeserver-webapps-common
AutoReqProv: no

%description
smserver integration of Jappix.
Jappix is a feature complete, web based XMPP client

%changelog
* Fri Apr 18 2014 Daniel Berteaud <daniel@firewall-services.com> 0.2.2-1
- Fix login since Jappix 1.0.3
- Add STUN and TURN param

* Fri Jul 5 2013 Daniel Berteaud <daniel@firewall-services.com> 0.2.1-1
- Allow access to /etc/pki/tls/certs

* Fri Jul 13 2012 Daniel Berteaud <daniel@firewall-services.com> 0.2.0-1
- Import in GIT
- Add /usr/share/pear to the open_basedir

* Tue Dec 20 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-3
- CASification ready

* Tue Dec 20 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-2
- Set session.save_path

* Sun Jul 10 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-1
- Initial release

%prep
%setup

%build
perl ./createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
        > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT


%postun

